#!/usr/bin/Rscript
nzcrime <- readRDS("nzcrime.rds")
nzareas <- readRDS("nzareas.rds")

# Standardize mesh block codes (by removing prefix zeroes)
nzcrime$mbcode <- as.numeric(as.character(gsub("^0+", "", nzcrime$Meshblock)))
nzdata <- merge(nzcrime, nzareas,
                by.x="mbcode", by.y="MB2015_code")
    
saveRDS(nzdata, file = "nzdata.rds")
